Create New Share Page

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V60 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp"
  }
}

Close
POST /profiles/{profile_id}/pages/{page_id}/shared_page

Headers

  • Authorization string

    e.g. Bearer {access_token}

Path parameters

  • profile_id string Required

    id of the profile

  • page_id number Required

    id of the page

application/json

Body

  • profile_id number Required
  • allow_copy boolean Required

Responses

  • 201 application/json

    Created

    One of:
POST /profiles/{profile_id}/pages/{page_id}/shared_page
curl \
 --request POST 'https://servername.iformbuilder.com/exzact/api/v60/profiles/self/pages/{page_id}/shared_page' \
 --header "Content-Type: application/json" \
 --header "Authorization: Bearer {access_token}" \
 --data '[
  {
    "profile_id": 161675,
    "allow_copy": true
  }
]'
Request examples
[
  {
    "profile_id": 161675,
    "allow_copy": true
  }
]
[
  {
    "profile_id": 161675,
    "allow_copy": true
  },
  {
    "profile_id": 161675,
    "allow_copy": true
  }
]
Response examples (201)
{
  "id": 86
}
[
  {
    "id": "86"
  },
  {
    "id": "89"
  }
]